CuttingEdge.Conditions 1.2.0

CuttingEdge.Conditions is a library that helps developers to write fluent pre and postcondition validations in their C# 3.0 and VB.NET 9.0 code base.

Writing these validations is easy and it improves the readability and maintainability of code.

Install-Package CuttingEdge.Conditions -Version 1.2.0
dotnet add package CuttingEdge.Conditions --version 1.2.0
<PackageReference Include="CuttingEdge.Conditions" Version="1.2.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add CuttingEdge.Conditions --version 1.2.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Dependencies

This package has no dependencies.

NuGet packages (42)

Showing the top 5 NuGet packages that depend on CuttingEdge.Conditions:

Package Downloads
MagentoAccess
Magento webservices API wrapper.
AmazonAccess
Amazon webservices API wrapper.
ChannelAdvisorAccess
ChannelAdvisor webservices API wrapper.
Netco
Collection of common classes to simplify and speed up development. See documentation for details.
EbayAccess
Ebay webservices API wrapper.

GitHub repositories (2)

Showing the top 2 popular GitHub repositories that depend on CuttingEdge.Conditions:

Repository Stars
JornWildt/Mason
Documentation and examples for the Mason media type
PureKrome/RavenOverflow
StackOverflow rip with a RavenDb database store

Version History

Version Downloads Last updated
1.2.0 495,458 6/24/2011
1.1.0 1,889 2/16/2011